#https://argo-cd.readthedocs.io/en/stable/operator-manual/declarative-setup/#applications
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: cert-manager
  namespace: argocd
spec:
  destination:
    namespace: cert-manager
    server: https://kubernetes.default.svc
  project: default
  source:
    repoURL: https://gitlab.com/kn3p.x.graf/cert-manager.git
    targetRevision: main
    path: bundle/cert-manager
    directory:
      recurse: true
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
      - Replace=true
      - ApplyOutOfSyncOnly=true
  ignoreDifferences:
    - group: rbac.authorization.k8s.io
      kind: Role
      name: cert-manager-startupapicheck:create-cert
      namespace: cert-manager
      jsonPointers:
        - /status
    - group: rbac.authorization.k8s.io
      kind: RoleBinding
      name: cert-manager-startupapicheck:create-cert
      namespace: cert-manager
      jsonPointers:
        - /status
    - group: v1/serviceaccounts
      kind: ServiceAccounts
      name: cert-manager-startupapicheck
      namespace: cert-manager
      jsonPointers:
        - /status
